Package org.kapott.hbci.sepa.jaxb.pain_002_001_12

# Class MandateTypeInformation2

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_12.MandateTypeInformation2

public class MandateTypeInformation2 extends Object

Java class for MandateTypeInformation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MandateTypeInformation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SvcLvl" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}ServiceLevel8Choice" minOccurs="0"/>
             <element name="LclInstrm" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}LocalInstrument2Choice" minOccurs="0"/>
             <element name="CtgyPurp" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}CategoryPurpose1Choice" minOccurs="0"/>
             <element name="Clssfctn" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.12}MandateClassification1Choice" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected MandateClassification1Choice`
`clssfctn`
`protected CategoryPurpose1Choice`
`ctgyPurp`
`protected LocalInstrument2Choice`
`lclInstrm`
`protected ServiceLevel8Choice`
`svcLvl`

## Constructor Summary

Constructors
Constructor
Description
`MandateTypeInformation2()`

## Method Summary

Modifier and Type
Method
Description
`MandateClassification1Choice`
`getClssfctn()`
Gets the value of the clssfctn property.
`CategoryPurpose1Choice`
`getCtgyPurp()`
Gets the value of the ctgyPurp property.
`LocalInstrument2Choice`
`getLclInstrm()`
Gets the value of the lclInstrm property.
`ServiceLevel8Choice`
`getSvcLvl()`
Gets the value of the svcLvl property.
`void`
`setClssfctn(MandateClassification1Choice value)`
Sets the value of the clssfctn property.
`void`
`setCtgyPurp(CategoryPurpose1Choice value)`
Sets the value of the ctgyPurp property.
`void`
`setLclInstrm(LocalInstrument2Choice value)`
Sets the value of the lclInstrm property.
`void`
`setSvcLvl(ServiceLevel8Choice value)`
Sets the value of the svcLvl property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### svcLvl

protected ServiceLevel8Choice svcLvl

### lclInstrm

protected LocalInstrument2Choice lclInstrm

### ctgyPurp

protected CategoryPurpose1Choice ctgyPurp

### clssfctn

protected MandateClassification1Choice clssfctn

## Constructor Details

### MandateTypeInformation2

public MandateTypeInformation2()

## Method Details

### getSvcLvl

public ServiceLevel8Choice getSvcLvl()
Gets the value of the svcLvl property.

Returns:
  possible object is `ServiceLevel8Choice`

### setSvcLvl

public void setSvcLvl(ServiceLevel8Choice value)
Sets the value of the svcLvl property.

Parameters:
  `value` - allowed object is `ServiceLevel8Choice`

### getLclInstrm

public LocalInstrument2Choice getLclInstrm()
Gets the value of the lclInstrm property.

Returns:
  possible object is `LocalInstrument2Choice`

### setLclInstrm

public void setLclInstrm(LocalInstrument2Choice value)
Sets the value of the lclInstrm property.

Parameters:
  `value` - allowed object is `LocalInstrument2Choice`

### getCtgyPurp

public CategoryPurpose1Choice getCtgyPurp()
Gets the value of the ctgyPurp property.

Returns:
  possible object is `CategoryPurpose1Choice`

### setCtgyPurp

public void setCtgyPurp(CategoryPurpose1Choice value)
Sets the value of the ctgyPurp property.

Parameters:
  `value` - allowed object is `CategoryPurpose1Choice`

### getClssfctn

public MandateClassification1Choice getClssfctn()
Gets the value of the clssfctn property.

Returns:
  possible object is `MandateClassification1Choice`

### setClssfctn

public void setClssfctn(MandateClassification1Choice value)
Sets the value of the clssfctn property.

Parameters:
  `value` - allowed object is `MandateClassification1Choice`